#!/bin/sh
# ---------------------------------------------------------------------------
#
#  
#   Licensed Materials - Property of IBM
#   5655-FLW (C) Copyright IBM Corporation 2006, 2010.
#   All Rights Reserved.
#   US Government Users Restricted Rights- 
#   Use, duplication or disclosure restricted 
#   by GSA ADP Schedule Contract with IBM Corp.
#  
#
# ---------------------------------------------------------------------------
#
#   Shell script to drop the dbspaces for Informix
# ---------------------------------------------------------------------------
#  Before running this script, you need to replace all occurences of
#  the replacement variables listed below with values appropriate for
#  your environment. Replacement variables are of the form: @VARIABLE@.
#  
#  Note: if you do not find any replacement variables in this script 
#        this step might be already completed by a pre-processor.
#  
#  @AUDITLOG@     = valid table space name
#  @INSTANCE@     = valid table space name
#  @STAFFQRY@     = valid table space name
#  @TEMPLATE@     = valid table space name
#  @WORKITEM@     = valid table space name
# ---------------------------------------------------------------------------
#   Before you start this shell script, make sure that the Informix bin-directory
#   is on the path.
#

onspaces -d @AUDITLOG@ -y

onspaces -d @INSTANCE@ -y

onspaces -d @STAFFQRY@ -y

onspaces -d @TEMPLATE@ -y

onspaces -d @WORKITEM@ -y
exit 0
