--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop tablespaces for DB2 UDB
----------------------------------------------------------------------
-- Before running this script, you need to replace all occurences of
-- the replacement variables listed below with values appropriate for
-- your environment. Replacement variables are of the form: @VARIABLE@.
-- 
-- Note: if you do not find any replacement variables in this script 
--       this step might be already completed by a pre-processor.
-- 
-- @AUDITLOG@     = valid table space name
-- @INSTANCE@     = valid table space name
-- @STAFFQRY@     = valid table space name
-- @TEMPLATE@     = valid table space name
-- @WORKITEM@     = valid table space name
-- @BPETEMP8K@    = valid table space name
-- @BPETS8K@      = valid table space name
-- @SCHEDTS@      = valid table space name
----------------------------------------------------------------------
-- Run the script with the following sequence:
--      db2 connect to BPEDB
--      db2 -tf dropTablespace.sql


----------------------
-- Drop tablespaces --
----------------------

DROP TABLESPACE @AUDITLOG@;

DROP TABLESPACE @INSTANCE@;

DROP TABLESPACE @STAFFQRY@;

DROP TABLESPACE @TEMPLATE@;

DROP TABLESPACE @WORKITEM@;

-----------------------------------------
-- Drop 8 K tablespaces and bufferpool --
-----------------------------------------
DROP TABLESPACE @BPETS8K@;

DROP TABLESPACE @BPETEMP8K@;

DROP BUFFERPOOL BPEBP8K;



-- start import scheduler DDL: dropTablespaceDB2.ddl

DROP TABLESPACE @SCHEDTS@;
-- end import scheduler DDL: dropTablespaceDB2.ddl

